unit uMessages;
{$INCLUDE 'Plugin.inc'}

interface

type
  TMessages = (
    MNoLngStringDefined = -1,
    //
    MTitle = 0,
    MOk,
    MCancel,
    MYes,
    MNo,
    //
    MExceptionOccurredIn,
    //
    MFolderNotDefined,
    MFolderDoesNotExist,
    MFolderAlreadyExists,
    MFolderAlreadyExistsQuestion,
    MNameMustNotBeEmpty,
    MNameContainsProhibitedCharacters,
    MConfirmDeletion,
    MDeletionFailed,
    MEditName,
    MEditDescription,
    MEditDirectory,
    MEditPluginID,
    MEditParam,
    MEditHostFile,
    MChooseName,
    MInvalidRootNode,
    MMissingNameElement,
    MEmptyNameElement,
    MMissingDirectoryElement,
    MConfirmOverwriteTitle,
    MConfirmOverwriteTagNew,
    MConfirmOverwriteTagOld,
    MConfirmOverwriteRemember,
    MConfirmOverwriteOverwrite,
    MConfirmOverwriteSkip,
    MConfirmOverwriteNamedFolder,
    MConfirmOverwriteFile,
    MDirectorySize,
    MDateTimeFormat,
    MFailedToReadFileInfo,
    MGoToNearestDirQuestion,
    MMakeDirName,
    MFailedToCreateDir,
    MFolderAlreadyExistsAndCantBeOverwritten,
    MSaveLastPanelDirectory,
    MUseSubstEngines,
    MUseSubstEngine_KnownFolders,
    MUseSubstEngine_Environment,
    MUseSubstEngine_BatchEnvironment,
    MUseSubstEngine_Registry,
    MAllowPathSuffix,
    MAllowPluginCalls,
    MAllowFuzzySearch,
    MAllowSearchOverDirectories,
    MInvalidPluginCommand,
    MInvalidPluginCall,
    MInvalidPluginCallGoto,
    MInvalidPluginCallExists,
    MInvalidPluginCallSetCurrent,
    MInvalidPluginCallSet,
    MInvalidPluginCallGet,
    MInvalidPluginCallDelete,
    MLastNamedFolderInfoDoesNotExist,
    // These must be at the end!! They are not expected to be translated
    MDummyLastString
  );

function GetMsg(MsgID: TMessages): string;

implementation

uses
  {$INCLUDE 'DelphiFarUnits.inc'} ;

function GetMsg(MsgID: TMessages): string;
begin
  if MsgID = MNoLngStringDefined then
    Result := ''
  else
    Result := TFarPlugin.Instance.GetLangString(TIntPtr(MsgID));
end;

end.
